Resource

Status Page Group

Manage groups on your status page and categorize resources like monitors into these groups.

The Status Page Group Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Name of the Group

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    description
    Type
    Markdown
    Description

    Description for this group. This is visible on Status Page. This can be in markdown format.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    order
    Type
    Number
    Description

    Order / Priority of this resource

  • Name
    isExpandedByDefault
    Type
    Boolean
    Description

    Is this group expanded by default on Status Page?

  • Name
    showCurrentStatus
    Type
    Boolean
    Description

    Show current status like offline, operational or degraded.

  • Name
    showUptimePercent
    Type
    Boolean
    Description

    Show uptime percent of this group for the last 90 days

  • Name
    uptimePercentPrecision
    Type
    Text
    Description

    Precision of uptime percent of this group for the last 90 days

GETorPOST/api/status-page-group/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page Group. By default, a maximum of ten Status Page Group are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-group/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "slug": true,
    "statusPageId": true,
    "createdByUserId": true
  },
  "query": {
    "name": "Core Services"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377c6720-28fe-11f1-b591-3fdcef396aba",
      "name": "Core Services",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "core-services",
      "statusPageId": "f6a7b8c9-d0e1-2345-6789-abcdef012345",
      "createdByUserId": "f2a3b4c5-d6e7-89ab-cdef-012345678901"
    },
    {
      "_id": "377c6721-28fe-11f1-b591-3fdcef396aba",
      "name": "Core Services",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "core-services",
      "statusPageId": "f6a7b8c9-d0e1-2345-6789-abcdef012345",
      "createdByUserId": "f2a3b4c5-d6e7-89ab-cdef-012345678901"
    },
    {
      "_id": "377c6722-28fe-11f1-b591-3fdcef396aba",
      "name": "Core Services",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "core-services",
      "statusPageId": "f6a7b8c9-d0e1-2345-6789-abcdef012345",
      "createdByUserId": "f2a3b4c5-d6e7-89ab-cdef-012345678901"
    }
  ]
}
GETorPOST/api/status-page-group/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page Group by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-group/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "slug": true,
    "statusPageId": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "377c6720-28fe-11f1-b591-3fdcef396aba",
  "name": "Core Services",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "core-services",
  "statusPageId": "f6a7b8c9-d0e1-2345-6789-abcdef012345",
  "createdByUserId": "f2a3b4c5-d6e7-89ab-cdef-012345678901"
}
POST/api/status-page-group/count

Count

This endpoint allows you to retrieve the count of all your Status Page Group.

Optional Request Body

Count Request

POST
/api/status-page-group/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Core Services"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-group

Create Status Page Group

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-group
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Core Services",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "statusPageId": "f6a7b8c9-d0e1-2345-6789-abcdef012345",
    "createdByUserId": "f2a3b4c5-d6e7-89ab-cdef-012345678901",
    "description": "Critical infrastructure services including API, database, and authentication"
  }
}

Response

{
  "_id": "377c6720-28fe-11f1-b591-3fdcef396aba",
  "name": "Core Services",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "core-services",
  "statusPageId": "f6a7b8c9-d0e1-2345-6789-abcdef012345",
  "createdByUserId": "f2a3b4c5-d6e7-89ab-cdef-012345678901"
}
PUT/api/status-page-group/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-group/:id/update-item
GET/api/status-page-group/:id/update-item

Update Request

PUT
/api/status-page-group/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Core Services",
    "description": "Critical infrastructure services including API, database, and authentication",
    "isExpandedByDefault": true
  }
}

Response

{}
DELETE/api/status-page-group/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-group/:id/delete-item
GET/api/status-page-group/:id/delete-item

Delete Request

DELETE
/api/status-page-group/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page Group

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page Group
  • Read All Project Resources

Create Permissions

Required to create Status Page Group

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page Group

Update Permissions

Required to update Status Page Group

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page Group

Delete Permissions

Required to delete Status Page Group

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page Group